/***************************************************************************
                          bricks.h  -  description
                             -------------------
    begin                : Thu Sep 6 2001
    copyright            : (C) 2001 by Michael Speck
    email                : kulkanie@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* the brick types are not appropiate but in order to use the old
lbreakout functions we need them */
enum {
    MAP_EMPTY = 0,
    MAP_WALL,
    MAP_BRICK
};
enum {
    BRICK_WIDTH = 40,
    BRICK_HEIGHT = 20,
    BRICK_SCORE = 100
};
typedef struct {
    int type; /* any of the old MAP_XXX types above */
    int id; /* picture id -- if -1 no brick -- if 0 it's indestructible */
    int dur; /* durability */
    int extra; /* extra released when destroyed */
    int score; /* score you get when desctroying this brick */
} Brick;

/*
====================================================================
Load picture containing brick graphics
====================================================================
*/
void bricks_load();
/*
====================================================================
Delete bricks picture
====================================================================
*/
void bricks_delete();
/*
====================================================================
Create bricks from level info.
====================================================================
*/
void bricks_create( Level *level );
/*
====================================================================
Draw all bricks to offscreen surface.
====================================================================
*/
void bricks_draw();
/*
====================================================================
Draw brick to passed surface
====================================================================
*/
void brick_draw( SDL_Surface *surf, int map_x, int map_y, int shadow );
/*
====================================================================
Hit brick and remove if destroyed. 'metal' means the ball
destroys any brick with the first try.
Return true on destruction
====================================================================
*/
int brick_hit( int map_x, int map_y, int metal, int res );
/*
====================================================================
Push pop extra on/off stack
====================================================================
*/
void bricks_push_extra( int type, int px, int py );
int bricks_pop_extra( int *type, int *px, int *py );
