/***************************************************************************
                          lbreakout.h  -  description
                             -------------------
    begin                : Thu Sep 6 2001
    copyright            : (C) 2001 by Michael Speck
    email                : kulkanie@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __LBREAKOUT_H
#define __LBREAKOUT_H

#define WITH_BUG_REPORT

/*
====================================================================
Global definitions for LBreakout and general system includes.
====================================================================
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <SDL.h>
#ifdef SOUND
#include <SDL_mixer.h>
#endif
#include "sdl.h"
#include "tools.h"
#include "misc.h"

/*
====================================================================
Size of playing field and editable playing field.
====================================================================
*/
enum {
    MAP_WIDTH = 16,
    MAP_HEIGHT = 24,
    EDIT_WIDTH = 14,
    EDIT_HEIGHT = 18
};

/*
====================================================================
Extras
====================================================================
*/
enum {
    EX_NONE = 0,
    EX_SCORE200,
    EX_SCORE500,
    EX_SCORE1000,
    EX_SCORE2000,
    EX_SCORE5000,
    EX_SCORE10000,
    EX_GOLDSHOWER,
    EX_SHORTEN,
    EX_LENGTHEN,
    EX_LIFE,
    EX_SLIME,
    EX_METAL,
    EX_BALL,
    EX_WALL,
    EX_FROZEN,
    EX_WEAPON,
    EX_RANDOM,
    EX_FAST,
    EX_SLOW,
    EX_JOKER
};
enum { EX_NUMBER = 20 };
/*
====================================================================
Alpha of shadow
====================================================================
*/
enum { SHADOW_ALPHA = 64 };

#endif
